#ifndef _FETCH_NEEDS_UPDATE_H
#define _FETCH_NEEDS_UPDATE_H 1

#include <pqxx/transactor>
#include <time.h>
#include <sys/time.h>

/* A transactor that fetches when a given round was last updated. */
class FetchNeedsUpdate : public pqxx::transactor<> {
private:
	struct timeval last_updated;
	unsigned tournament, round, parallel;
	bool *result;

public:
	FetchNeedsUpdate(struct timeval last_updated, unsigned tournament, unsigned round, unsigned parallel, bool *result);
	void operator() (pqxx::transaction<> &t);
};

#endif /* !defined(_FETCH_NEEDS_UPDATE_H) */
